any {base} | R Documentation

## Are Some Values True?

### Description

Given a set of logical vectors, is at least one of the values true?

### Usage

    any(..., na.rm = FALSE)

### Arguments

`...` | zero or more logical vectors. Other objects are coerced in a similar way to `as.logical.default`.
`na.rm` | logical. If true `NA` values are removed before the result is computed.

### Details

This is a generic function: methods can be defined for it directly or via the `Summary` group generic. For this to work properly, the arguments `...` should be unnamed, and dispatch is on the first argument.

### Value

The value is a logical vector of length one.
Let `x` denote the concatenation of all the logical vectors in `...` (after coercion), after removing `NA`s if requested by `na.rm = TRUE`.
The value returned is `TRUE` if at least one of the values in `x` is `TRUE`, and `FALSE` if all of the values in `x` are `FALSE` (including if there are no values). Otherwise the value is `NA` (which can only occur if `na.rm = FALSE` and `...` contains no `TRUE` values and at least one `NA` value).

### S4 methods

This is part of the S4 `Summary` group generic. Methods for it must use the signature `x, ..., na.rm`.

### References

Becker, R. A., Chambers, J. M. and Wilks, A. R. (1988) The New S Language. Wadsworth & Brooks/Cole.

### See Also

`all`, the ‘complement’ of `any`.

### Examples

    range(x <- sort(round(stats::rnorm(10) - 1.2,1)))
    if(any(x < 0)) cat("x contains negative values\n")

[Package base version 2.6.0 Index]